# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "damascene-web"
version = "0.4.5"
authors = ["Christian Balcom <robot.inventor@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Damascene browser host for wasm apps"
homepage = "https://github.com/computer-whisperer/damascene"
documentation = "https://docs.rs/damascene-web"
readme = "README.md"
keywords = [
    "ui",
    "gui",
    "wasm",
    "web",
    "wgpu",
]
categories = [
    "gui",
    "rendering",
    "wasm",
    "web-programming",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/computer-whisperer/damascene"

[features]
default = ["default_fonts"]
default_fonts = ["damascene-core/default_fonts"]
emoji = ["damascene-core/emoji"]
inter = ["damascene-core/inter"]
jetbrains-mono = ["damascene-core/jetbrains-mono"]
profiling = [
    "dep:tracing-wasm",
    "damascene-core/profiling",
    "damascene-wgpu/profiling",
]
roboto = ["damascene-core/roboto"]
symbols = ["damascene-core/symbols"]

[lib]
name = "damascene_web"
path = "src/lib.rs"

[dependencies.damascene-core]
version = "0.4.5"
default-features = false

[dependencies.damascene-wgpu]
version = "0.4.5"

[dependencies.log]
version = "0.4"

[dependencies.wgpu]
version = "29"

[dependencies.winit]
version = "0.30"

[target.'cfg(target_arch = "wasm32")'.dependencies.console_error_panic_hook]
version = "0.1"

[target.'cfg(target_arch = "wasm32")'.dependencies.console_log]
version = "1"

[target.'cfg(target_arch = "wasm32")'.dependencies.js-sys]
version = "0.3"

[target.'cfg(target_arch = "wasm32")'.dependencies.tracing-wasm]
version = "0.2"
optional = true

[target.'cfg(target_arch = "wasm32")'.dependencies.wasm-bindgen]
version = "0.2"

[target.'cfg(target_arch = "wasm32")'.dependencies.wasm-bindgen-futures]
version = "0.4"

[target.'cfg(target_arch = "wasm32")'.dependencies.web-sys]
version = "0.3"
features = [
    "Clipboard",
    "ClipboardEvent",
    "CssStyleDeclaration",
    "CustomEvent",
    "CustomEventInit",
    "DataTransfer",
    "Document",
    "Element",
    "Event",
    "EventTarget",
    "HtmlCanvasElement",
    "HtmlElement",
    "HtmlInputElement",
    "InputEvent",
    "KeyboardEvent",
    "MouseEvent",
    "Navigator",
    "PointerEvent",
    "ResizeObserver",
    "VisualViewport",
    "Window",
]

[target.'cfg(target_arch = "wasm32")'.dependencies.web-time]
version = "1"

[target.'cfg(target_arch = "wasm32")'.dependencies.wgpu]
version = "29"
features = ["webgl"]
